## python-pandocfilters 1.4.3

=== examples/Makefile ===

ALLSAMPLES = $(basename $(wildcard *-sample.md))
ALLPDF = $(addsuffix .pdf,$(ALLSAMPLES))

PYTHON=/usr/bin/python2

all: ${ALLPDF}


lilypond-sample.pdf: lilypond-sample.md
	pandoc --latex-engine lualatex --filter ./$(subst -sample.md,.py,$<) $< -o $@ || touch $@

gabc-sample.pdf: gabc-sample.md
	pandoc --latex-engine lualatex --filter ./$(subst -sample.md,.py,$<) $< -o $@ || touch $@

%.pdf: %.md
	echo $(subst -sample.md,.py,$<)
	pandoc --filter ./$(subst -sample.md,.py,$<) $< -o $@ || touch $@

clean:
	$(RM) -f ${ALLPDF} *.pyc
	$(RM) -rf *-images tmp_ly

## python-pandocfilters 1.2.1

=== debian/changelog ===
python-pandocfilters (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #746745)

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 30 Jun 2014 10:04:06 +0200

=== debian/control ===
Source: python-pandocfilters
Section: python
Priority: optional
Maintainer: Debian Python Team <debian-python@lists.debian.org>
Uploaders: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/pandocfilters/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pandocfilters/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pandocfilters/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pandocfilters
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: pandoc (>= 1.12~)
Description: python bindings for Pandoc's filters
 Pandoc is a powerful utility to transform various input formats into a wide
 range of output formats. To alter the exported output document, Pandoc allows
 the usage of filters, which are pipes that read a JSON serialization of the
 Pandoc AST from stdin, transform it in some way, and write it to stdout. It
 allows therewith to alter the processing of Pandoc's supported input formats,
 for instance one can add new syntax elements to markdown, etc.
 .
 This package provides Python bindings.
XB-Python-Version: ${python:Versions}

Package: python3-pandocfilters
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: pandoc (>= 1.12~)
Description: python3 bindings for Pandoc's filters
 Pandoc is a powerful utility to transform various input formats into a wide
 range of output formats. To alter the exported output document, Pandoc allows
 the usage of filters, which are pipes that read a JSON serialization of the
 Pandoc AST from stdin, transform it in some way, and write it to stdout. It
 allows therewith to alter the processing of Pandoc's supported input formats,
 for instance one can add new syntax elements to markdown, etc.
 .
 This package provides Python3 bindings.
XB-Python-Version: ${python:Versions}

## python-pandocfilters 1.2.2

=== debian/changelog ===
python-pandocfilters (1.2.2-1) unstable; urgency=low

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 18 Oct 2014 18:46:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-pandocfilters
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <debian-python@lists.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sebastian Humenda <shumenda@gmx.de>
 Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/pandocfilters/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pandocfilters/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pandocfilters/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pandocfilters

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	# the greatest line ever
	dh $@  --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
    https://pypi.python.org/packages/source/p/pandocfilters/pandocfilters-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## python-pandocfilters 1.3.0

=== debian/changelog ===
python-pandocfilters (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Sebastian Humenda ]
  * new upstream version (required for Pandoc > 1.16)

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 26 May 2016 17:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), python-all, python3-all (>= 2.7), dh-python
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/pandocfilters/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pandocfilters/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pandocfilters/trunk/
-X-Python-Version: >= 2.6
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pandocfilters.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pandocfilters.git
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: python-pandocfilters
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: pandoc (>= 1.12~)
+Depends: ${misc:Depends}, ${python:Depends}
+Recommends: pandoc (>= 1.16~)
 Description: python bindings for Pandoc's filters
  Pandoc is a powerful utility to transform various input formats into a wide
  range of output formats. To alter the exported output document, Pandoc allows
@@ -28,8 +28,8 @@
 
 Package: python3-pandocfilters
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Recommends: pandoc (>= 1.12~)
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: pandoc (>= 1.16~)
 Description: python3 bindings for Pandoc's filters
  Pandoc is a powerful utility to transform various input formats into a wide
  range of output formats. To alter the exported output document, Pandoc allows

## python-pandocfilters 1.4.2

=== debian/changelog ===
python-pandocfilters (1.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Sebastian Humenda ]
  * Drop python2 version
  * Bump standards-version

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 15 Dec 2019 10:23:54 +0100

python-pandocfilters (1.4.2-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 30 Aug 2017 19:36:20 +0200

=== debian/control ===
Source: python-pandocfilters
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 9.0.0), python3-all (>= 2.7), dh-python
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/pandocfilters/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pandocfilters.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pandocfilters


Package: python3-pandocfilters
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: pandoc (>= 1.16~)
Description: python3 bindings for Pandoc's filters
 Pandoc is a powerful utility to transform various input formats into a wide
 range of output formats. To alter the exported output document, Pandoc allows
 the usage of filters, which are pipes that read a JSON serialization of the
 Pandoc AST from stdin, transform it in some way, and write it to stdout. It
 allows therefore to alter the processing of Pandoc's supported input formats,
 for instance one can add new syntax elements to markdown, etc.
 .
 This package provides Python3 bindings.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 #export DH_VERBOSE=1
 
 %:
-	# the greatest line ever
-	dh $@  --with python2,python3 --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild

## python-pandocfilters 1.4.3

=== debian/changelog ===
python-pandocfilters (1.4.3-1) unstable; urgency=medium

  * New upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 13 Dec 2020 19:59:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-pandocfilters
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper (>= 9.0.0), python3-all (>= 2.7), dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), python3-all (>= 2.7), dh-python
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/pandocfilters/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pandocfilters.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pandocfilters
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pandocfilters.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pandocfilters
 
 
 Package: python3-pandocfilters

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,11 @@
 
 %:
 	dh $@  --with python3 --buildsystem=pybuild
+
+execute_after_dh_install:
+	@# dh_fixperms doesn't consider .py and .ly files (2020-12), remove the exec bit manually.
+	find debian/python3-pandocfilters/usr/lib -type f -exec chmod a-x '{}' ';'
+
+execute_after_dh_installexamples:
+	find debian/python3-pandocfilters/usr/share/doc \
+		-name '*.ly' -type f -exec chmod a-x '{}' ';'

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
    https://pypi.python.org/packages/source/p/pandocfilters/pandocfilters-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## python-pandocfilters 1.5.0

=== debian/changelog ===
python-pandocfilters (1.5.0-1) unstable; urgency=medium

  [ Sebastian Humenda ]
  * New upstream version
  * Update standards-version (no changes required)
  * Debian'ise examples/: fix file permissions, fix interpreter line
  * Remove python2 left-overs

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + python3-pandocfilters: Drop versioned constraint on pandoc in Recommends.

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 23 Nov 2021 20:37:18 +0200

=== debian/control ===
Source: python-pandocfilters
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), python3-all (>= 3.6), dh-python,
    python3-setuptools
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://github.com/jgm/pandocfilters
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pandocfilters.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pandocfilters

Package: python3-pandocfilters
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: pandoc
Description: python3 bindings for Pandoc's filters
 Pandoc is a powerful utility to transform various input formats into a wide
 range of output formats. To alter the exported output document, Pandoc allows
 the usage of filters, which are pipes that read a JSON serialization of the
 Pandoc AST from stdin, transform it in some way, and write it to stdout. It
 allows therefore to alter the processing of Pandoc's supported input formats,
 for instance one can add new syntax elements to markdown, etc.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,8 @@
 	find debian/python3-pandocfilters/usr/lib -type f -exec chmod a-x '{}' ';'
 
 execute_after_dh_installexamples:
+	@# remove exec perms from md/ly files, add to example scripts
 	find debian/python3-pandocfilters/usr/share/doc \
 		-name '*.ly' -type f -exec chmod a-x '{}' ';'
+	chmod a-x debian/python3-pandocfilters/usr/share/doc/python3-pandocfilters/examples/*.md
+	chmod a+x debian/python3-pandocfilters/usr/share/doc/python3-pandocfilters/examples/*.py

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pandocfilters-$1\.tar\.gz/ \
  https://github.com/jgm/pandocfilters/tags .*/v?(\d\S+)\.tar\.gz

## python-pandocfilters 1.5.1

=== debian/changelog ===
python-pandocfilters (1.5.1-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 18 Mar 2024 14:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper-compat (= 13), python3-all (>= 3.6), dh-python,
+Build-Depends: debhelper-compat (= 13), python3-all, dh-python,
     python3-setuptools
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
+Homepage: https://github.com/jgm/pandocfilters
 Rules-Requires-Root: no
-Homepage: https://github.com/jgm/pandocfilters
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pandocfilters.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pandocfilters
